# HG changeset patch
# User Michael Godfrey
# Date 1410438355 -3600
#      Thu Sep 11 13:25:55 2014 +0100
# Node ID afeca01fedbd34e129167fbcb0168c75d1985c96
# Parent  dbe9a11f5dcb0baf057cf403d498be74b5a7823b
Update Manual Section 15.3.3

diff -r dbe9a11f5dcb -r afeca01fedbd doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Wed Sep 10 14:19:58 2014 -0400
+++ b/doc/interpreter/plot.txi	Thu Sep 11 13:25:55 2014 +0100
@@ -541,7 +541,7 @@
 @DOCSTRING(drawnow)
 
 Only figures that are modified will be updated.  The @code{refresh}
-function can also be used to force an update of the current figure, even if
+function can also be used to cause an update of the current figure, even if
 it is not modified.
 
 @DOCSTRING(refresh)
@@ -673,9 +673,9 @@
 }\hfill}}
 \hoffset72pt
 \symtable{Greek Lowercase Letters} {#}
-{& \hbox to \cola{$\backslash$alpha }    && $\alpha$
-&& \hbox to \colb{$\backslash$beta }     && $\beta$
-&& \hbox to \colc{$\backslash$gamma}     && $\gamma$     &\cr
+{& \hbox to \cola{$\backslash$alpha }   && $\alpha$
+&& \hbox to \colb{$\backslash$beta }    && $\beta$
+&& \hbox to \colc{$\backslash$gamma}    && $\gamma$     &\cr
 & $\backslash$delta      && $\delta$
 && $\backslash$epsilon   && $\epsilon$
 && $\backslash$zeta      && $\zeta$      &\cr
@@ -702,9 +702,9 @@
 && $\backslash$omega     && $\omega$     &\cr}
 \vskip12pt
 \symtable{Greek Uppercase Letters} {#}
-{& \hbox to \cola{$\backslash$Gamma}   && $\Gamma$
-&& \hbox to \colb{$\backslash$Delta}   && $\Delta$
-&& \hbox to \colc{$\backslash$Theta}   && $\Theta$      &\cr
+{& \hbox to \cola{$\backslash$Gamma}  && $\Gamma$
+&& \hbox to \colb{$\backslash$Delta}  && $\Delta$
+&& \hbox to \colc{$\backslash$Theta}  && $\Theta$      &\cr
 & $\backslash$Lambda   && $\Lambda$
 && $\backslash$Xi      && $\Xi$
 && $\backslash$Pi      && $\Pi$         &\cr
@@ -716,9 +716,9 @@
 &&    &&       &\cr}
 \vskip12pt
 \symtable{Misc Symbols Type Ord} {#}
-{& \hbox to \cola{$\backslash$aleph}       && $\aleph$
-&& \hbox to \colb{$\backslash$wp}          && $\wp$
-&& \hbox to \colc{$\backslash$Re}          && $\Re$      &\cr
+{& \hbox to \cola{$\backslash$aleph}      && $\aleph$
+&& \hbox to \colb{$\backslash$wp}         && $\wp$
+&& \hbox to \colc{$\backslash$Re}         && $\Re$      &\cr
 & $\backslash$Im           && $\Im$
 && $\backslash$partial     && $\partial$
 && $\backslash$infty       && $\infty$       &\cr
@@ -736,14 +736,14 @@
 &&    &&       &\cr}
 \vskip12pt
 \symtable{``Large'' Operators} {#}
-{& \hbox to \cola{$\backslash$int}   && $\int$
-&& \hbox to \colb{}   &&
-&& \hbox to \colc{}   &&       &\cr}
+{& \hbox to \cola{$\backslash$int}  && $\int$
+&& \hbox to \colb{}  &&
+&& \hbox to \colc{}  &&       &\cr}
 \vskip12pt
 \symtable{Binary operators} {#}
-{& \hbox to \cola{$\backslash$pm}     && $\pm$
-&& \hbox to \colb{$\backslash$cdot}   && $\cdot$
-&& \hbox to \colc{$\backslash$times}  && $\times$      &\cr
+{& \hbox to \cola{$\backslash$pm}    && $\pm$
+&& \hbox to \colb{$\backslash$cdot}  && $\cdot$
+&& \hbox to \colc{$\backslash$times} && $\times$      &\cr
 & $\backslash$ast     && $\ast$
 && $\backslash$circ   && $\circ$
 && $\backslash$bullet && $\bullet$     &\cr
@@ -836,8 +836,8 @@
 \hoffset72pt
 \vskip12pt
 \symtable{Relations} {#}
-{& \hbox to \cola{$\backslash$leq}      && $\leq$
-&& \hbox to \colb{$\backslash$subset}   && $\subset$
+{& \hbox to \cola{$\backslash$leq}     && $\leq$
+&& \hbox to \colb{$\backslash$subset}  && $\subset$
 && \hbox to \colc{$\backslash$subseteq} && $\subseteq$    &\cr
 & $\backslash$in        && $\in$
 && $\backslash$geq      && $\geq$
@@ -853,9 +853,9 @@
 && $\backslash$perp     && $\perp$        &\cr}
 \vskip12pt
 \symtable{Arrows} {#}
-{& \hbox to \cola{$\backslash$leftarrow}      && $\leftarrow$
-&& \hbox to \colb{$\backslash$Leftarrow}      && $\Leftarrow$
-&& \hbox to \colc{$\backslash$rightarrow}     && $\rightarrow$      &\cr
+{& \hbox to \cola{$\backslash$leftarrow}     && $\leftarrow$
+&& \hbox to \colb{$\backslash$Leftarrow}     && $\Leftarrow$
+&& \hbox to \colc{$\backslash$rightarrow}    && $\rightarrow$      &\cr
 & $\backslash$Rightarrow      && $\Rightarrow$
 && $\backslash$leftrightarrow && $\leftrightarrow$
 && $\backslash$uparrow        && $\uparrow$         &\cr
@@ -864,21 +864,21 @@
 &&   &&       &\cr}
 \vskip12pt
 \symtable{Openings and Closings} {#}
-{& \hbox to \cola{$\backslash$lfloor   }    && $\lfloor$
-&& \hbox to \colb{$\backslash$langle   }    && $\langle$
-&& \hbox to \colc{$\backslash$lceil    }    && $\lceil$      &\cr
+{& \hbox to \cola{$\backslash$lfloor   }   && $\lfloor$
+&& \hbox to \colb{$\backslash$langle   }   && $\langle$
+&& \hbox to \colc{$\backslash$lceil    }   && $\lceil$      &\cr
 & $\backslash$rfloor    && $\rfloor$
 && $\backslash$rangle   && $\rangle$
 && $\backslash$rceil    && $\rceil$      &\cr}
 \vskip12pt
 \symtable{Alternate Names} {#}
-{& \hbox to \cola{$\backslash$neq}   && $\neq$
-&& \hbox to \colb{}   && 
-&& \hbox to \colc{}   &&   &\cr}
+{& \hbox to \cola{$\backslash$neq}  && $\neq$
+&& \hbox to \colb{}  && 
+&& \hbox to \colc{}  &&   &\cr}
 \vskip12pt
 \symtable{Other (not in Appendix F Tables)} {#}
-{& \hbox to \cola{$\backslash$ldots}     && $\ldots$
-&& \hbox to \colb{$\backslash$0}         && $\oslash$
+{& \hbox to \cola{$\backslash$ldots}    && $\ldots$
+&& \hbox to \colb{$\backslash$0}        && $\oslash$
 && \hbox to \colc{$\backslash$copyright} && $\copyright$      &\cr
 & $\backslash$deg        && $^\circ$
 &&    &&  
@@ -1324,9 +1324,26 @@
 * Surface Properties::
 @end menu
 
-In this Section the object properties are discussed in detail, starting
+In this Section the graphics object properties are discussed in detail, starting
 with the root figure properties and continuing through the graphics object
-hierarchy.
+hierarchy. The properties of each graphics object with its allowed values
+can be displayed using:
+
+@multitable @columnfractions .2 .6 .1 .1
+@item Root Figure @tab --- @code{set (0)}
+@item Figure      @tab --- @code{set ( gcf())}
+@item Axes        @tab --- @code{set (gca ())} or @code{set (axes)}
+@item Line        @tab --- @code{set (line)}
+@item Text        @tab --- @code{set (text)}
+@item Image       @tab --- @code{set (image)}
+@item Patch       @tab --- @code{set (patch)}
+@item Surface     @tab --- @code{set (surface)}
+@end multitable
+
+The default value for each property is enclosed in @{ @}.
+
+NOTE: It is appropriate to use these @code{set} functions as a check on the information shown below as
+your copy of Octave may not match the version described here.
 
 @node Root Figure Properties
 @subsubsection Root Figure Properties
@@ -1335,70 +1352,64 @@
 The @code{root figure} properties are:
 
 @table @code
-@item __modified__
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item __myhandle__
-
-@item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
-
-@item buttondownfcn
-
-@item callbackobject
-
-@item children
-
-@item clipping
- --- Values: @qcode{"on"}, @qcode{"off"}
-
-@item createfcn
-
-@item currentfigure
-
-@item deletefcn
-
-@item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item hittest
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item parent
-
-@item screendepth
-
-@item screenpixelsperinch
-
-@item screensize
-
-@item selected
-
-@item selectionhighlight
-
-@item screendepth
-
-@item screenpixelsperinch
-
-@item showhiddenhandles
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item units
-
-@item userdata
-
-@item visible
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item createfcn:
+
+@item currentfigure:
+
+@item deletefcn:
+
+@item diary:  @code{[ off | @{on@} ]}
+
+@item diaryfile:
+
+@item echo:  @code{[ off | @{on@} ]}
+
+@item fixedwidthfontname:
+
+@item format: @code{[ + | bank | bit | hex | long | longe | longeng | longg | native-bit | native-hex | none | rat | @{short@} | shorte | shorteng | shortg ]}
+
+@item formatspacing: @code{[ compact | @{loose@} ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item language:
+
+@item monitorpositions:
+
+@item parent:
+
+@item pointerlocation:
+
+@item recursionlimit:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item showhiddenhandles: @code{[ off | @{on@} ]}
+
+@item tag:
+
+@item uicontextmenu:
+
+@item units: @code{[ centimeters | inches | normalized | @{pixels@} | points ]}
+@item userdata:
+
+@item visible: @code{[ off | @{on@} ]}
 @end table
 
 @node Figure Properties
@@ -1408,58 +1419,54 @@
 The @code{figure} properties are:
 
 @table @code
+@item __enhanced__: @code{[ off | @{on@} ]}
+
 @item __graphics_toolkit__
---- The graphics toolkit currently in use.
-
-@item __enhanced__
-
-@item __modified__
-
-@item __myhandle__
-
-@item __plot_stream__
-
-@item alphamap
-
-@item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
-
-@item buttondownfcn
-
-@item children
+
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item __myhandle__:
+
+@item __plot_stream__:
+
+@item alphamap:
+
+@item beingdeleted: @code{[ @{off@} | on  ]}
+
+@item busyaction:
+
+@item buttondownfcn:
+
+@item children:
 Handle to children.
 
-@item clipping
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item closerequestfcn
---- Handle of function to call on close.
-
-@item color
-
-@item colormap
+@item clipping: @code{[ @{off@} | on  ]}
+
+@item closerequestfcn:
+
+@item color:
+
+@item colormap:
 An N-by-3 matrix containing the color map for the current axes.
 
-@item paperorientation
-
-@item createfcn
-
-@item currentaxes
+@item paperorientation:
+
+@item createfcn:
+
+@item currentaxes:
 Handle to graphics object of current axes.
 
-@item currentcharacter
-
-@item currentobject
-
-@item currentpoint
-An 1-by-2 matrix which holds the coordinates of the point over which
+@item currentcharacter:
+
+@item currentobject:
+
+@item currentpoint:
+A 1-by-2 matrix which holds the coordinates of the point over which
 the mouse pointer was when a mouse event occurred.  The x and y
 coordinates are in units defined by the figures @qcode{"units"} property
 and their origin is the lower left corner of the plotting area.
 
-Events which sets @qcode{"currentpoint"} are
+Events which set @qcode{"currentpoint"} are
 @table @asis
 @item A mouse button was pressed
 always
@@ -1473,30 +1480,25 @@
 
 @item deletefcn
 
-@item dockcontrols
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item doublebuffer
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item filename
-
-@item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item hittest
-
-@item integerhandle
-
-@item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item inverthardcopy
-
-@item keypressfcn
-see @qcode{"keypressfcn"}
-
-@item keyreleasefcn
+@item dockcontrols: @code{[ @{off@} | on  ]}
+
+@item doublebuffer: @code{[ @{off@} | on  ]}
+
+@item filename:
+
+@item handlevisibility: @code{[ @{off@} | on  ]}
+
+@item hittest:
+
+@item integerhandle:
+
+@item interruptible: @code{[ @{off@} | on  ]}
+
+@item inverthardcopy:
+
+@item keypressfcn:
+
+@item keyreleasefcn:
 With @qcode{"keypressfcn"}, the keyboard callback functions.  These
 callback functions get called when a key is pressed/released
 respectively.  The functions are called with two input arguments.  The
@@ -1504,136 +1506,106 @@
 argument holds the event structure which has the following members:
 
 @table @code
-@item Character
+@item Character:
 The ASCII value of the key
 
-@item Key
+@item Key:
 lowercase value of the key
 
-@item Modifier
+@item Modifier:
 A cell array containing strings representing the modifiers pressed with
 the key.  Possible values are @qcode{"shift"}, @qcode{"alt"}, and
 @qcode{"control"}.
 @end table
 
-@item menubar
-
-@item mincolormap
-
-@item name
-
-@item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"new"}
-
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
-
-@item numbertitle
-
-@item paperorientation
-Indicates the orientation for printing.  Either @qcode{"landscape"} or
-@qcode{"portrait"}.
-
-@item paperposition
-
-@item paperpositionmode
-
-@item papersize
-
-@item papertype
-
-@item paperunits
-
-@item pointer
-
-@item pointershapecdata
-
-@item pointershapehotspot
-
-@item position
-
-@item renderer
-
-@item renderermode
-
-@item resize
-
-@item resizefcn
-
-@item selected
-
-@item selectionhighlight
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item selectiontype
-Holds information about the last mouse button press within the figure.
-May be one of
-@table @asis
-@item @qcode{"normal"}
-Left mouse button click.
-
-@item @qcode{"extend"}
-Shift + left mouse button click.
-
-@item @qcode{"alternate"}
-Ctrl + left mouse button click or right mouse button click.
-
-@item @qcode{"open"}
-Double-click with any mouse button.
-
-@end table
-
-@item tag
-
-@item toolbar
-
-@item type
-
-@item units
---- Values: @qcode{"inches"}, @qcode{"centimeters"}, @qcode{"normalized"},
-@qcode{"points"}, @qcode{"pixels"} [default], @qcode{"characters"}.
-
-Specifies the units which are used for @qcode{"position"},
-@qcode{"outerposition"} and @qcode{"currentpoint"}.
-
-@item userdata
-
-@item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the figure.
-
-@item windowbuttondownfcn
+@item menubar: @code{[ @{figure@} | none ]}
+
+@item mincolormap:
+
+@item name:
+
+@item nextplot: @code{[ @{add@} | new | replace | replacechildren ]}
+
+@item numbertitle: @code{[ off | @{on@} ]}
+
+@item outerposition:
+
+@item paperorientation: @code{[ landscape | @{portrait@} | rotated ]}
+
+@item paperposition:
+
+@item paperpositionmode: @code{[ auto | @{manual@} ]}
+
+@item papersize:
+
+@item papertype: @code{[ <custom> | a | a0 | a1 | a2 | a3 | a4 | a5 | arch-a | arch-b | arch-c | arch-d | arch-e | b | b0 | b1 | b2 | b3 | b4 | b5 | c | d | e | tabloid | uslegal | @{usletter@} ]}
+
+@item paperunits: @code{[ centimeters | @{inches@} | normalized | points ]}
+
+@item pointer: @code{[ @{arrow@} | botl | botr | bottom | circle | cross | crosshair | custom | fleur | fullcrosshair | hand | ibeam | left | right | top | topl | topr | watch ]}
+
+@item pointershapecdata:
+
+@item pointershapehotspot:
+
+@item position:
+
+@item renderer: @code{[ none | opengl | @{painters@} | zbuffer ]}
+
+@item renderermode: @code{[ @{auto@} | manual ]}
+
+@item resize: @code{[ off | @{on@} ]}
+
+@item resizefcn:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item selectiontype: @code{[ alt | extend | @{normal@} | open ]}
+
+@item tag:
+
+@item toolbar: @code{[ @{auto@} | figure | none ]}
+
+@item type:
+
+@item units: @code{[ centimeters | characters | inches | normalized | @{pixels@} | points ]}
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@} ]}
+
+@item windowbuttondownfcn:
 See @qcode{"windowbuttonupfcn"}
 
-@item windowbuttonmotionfcn
+@item windowbuttonmotionfcn:
 See @qcode{"windowbuttonupfcn"}
 
-@item windowbuttonupfcn
+@item windowbuttonupfcn:
 With @qcode{"windowbuttondownfcn"} and @qcode{"windowbuttonmotionfcn"},
 the mouse callback functions.  These callback functions get called when
 the mouse button is pressed, dragged, and released respectively.  When
 these callback functions are called, the @qcode{"currentpoint"} property
 holds the current coordinates of the cursor.
 
-@item windowscrollwheelfcn
-
-@item windowstyle
-
-@item wvisual
-
-@item wvisualmode
-
-@item xdisplay
-
-@item xvisual
-
-@item xvisualmode
+@item windowkeypressfcn:
+
+@item windowkeyreleasefcn:
+
+@item windowscrollwheelfcn:
+
+@item windowstyle: @code{[ docked | modal | @{normal@} ]}
+
+@item wvisual:
+
+@item wvisualmode: @code{[ @{auto@} | manual ]}
+
+@item xdisplay:
+
+@item xvisual:
+
+@item xvisualmode:
 @end table
 
 @node Axes Properties
@@ -1643,45 +1615,43 @@
 The @code{axes} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item activepositionproperty
-
-@item alim
-
-@item alimmode
-
-@item ambientlightcolor
-
-@item beingdeleted
-
-@item box
-Box surrounding axes.
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cameraposition
-
-@item camerapositionmode
-
-@item cameratarget
-
-@item cameratargetmode
-
-@item cameraupvector
-
-@item cameraupvectormode
-
-@item cameraviewangle
-
-@item cameraviewanglemode
-
-@item children
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item __myhandle__:
+
+@item activepositionproperty: @code{[ @{outerposition@} | position ]}
+
+@item alim:
+
+@item alimmode: @code{[ @{auto@} | manual ]}
+
+@item ambientlightcolor:
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item box: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cameraposition:
+
+@item camerapositionmode: @code{[ @{auto@} | manual ]}
+
+@item cameratarget:
+
+@item cameratargetmode: @code{[ @{auto@} | manual ]}
+
+@item cameraupvector:
+
+@item cameraupvectormode: @code{[ @{auto@} | manual ]}
+
+@item cameraviewangle:
+
+@item cameraviewanglemode: @code{[ @{auto@} | manual ]}
+
+@item children:
 
 @item clim
 Two-element vector defining the limits for the c axis of
@@ -1689,19 +1659,18 @@
 Setting this property also forces the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item climmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item clipping
-
-@item color
-
-@item colororder
-
-@item createfcn
-
-@item currentpoint
-An 2-by-3 matrix @code{[xf, yf, zf; xb, yb, zb]} which holds the
+@item climmode: @code{[ @{auto@} | manual ]}
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item color:
+
+@item colororder:
+
+@item createfcn:
+
+@item currentpoint:
+A 2-by-3 matrix @code{[xf, yf, zf; xb, yb, zb]} which holds the
 coordinates of the point over which the mouse pointer was when the
 mouse button was pressed in axes data units.  If a mouse callback
 function is defined, @qcode{"currentpoint"} holds the pointer
@@ -1710,258 +1679,222 @@
 the current camera position and the second rows the furthest point.
 The two points forms a line which is perpendicular to the screen.
 
-@item dataaspectratio
+@item dataaspectratio:
 A two-element vector specifying the relative height and width of the
-data displayed in the axes.  Setting @code{dataaspectratio} to @samp{1,
+data displayed in the axes.  Setting @code{"dataaspectratio"} to @samp{1,
 2]} causes the length of one unit as displayed on the y-axis to be the
 same as the length of 2 units on the x-axis.  Setting
-@code{dataaspectratio} also forces the @code{dataaspectratiomode}
+@code{dataaspectratio} also forces the @code{"dataaspectratiomode"}
 property to be set to @qcode{"manual"}.
 
-@item dataaspectratiomode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item deletefcn
-
-@item drawmode
-
-@item fontangle
-
-@item fontname
-
-@item fontsize
-
-@item fontunits
-
-@item fontweight
-
-@item gridlinestyle
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item layer
-
-@item linestyleorder
-
-@item linewidth
-
-@item minorgridlinestyle
-
-@item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
-
-@item outerposition
+@item dataaspectratiomode: @code{[ @{auto@} | manual ]}
+
+@item deletefcn:
+
+@item dockcontrols: @code{[ off | @{on@} ]}
+
+@item doublebuffer: @code{[ off | @{on@} ]}
+
+@item drawmode: @code{[ fast | @{normal@} ]}
+
+@item filename:
+
+@item fontangle:
+
+@item fontname:
+
+@item fontsize:
+
+@item fontunits: @code{[ centimeters | inches | normalized | pixels | @{points@} ]}
+
+@item fontweight: @code{[ bold | demi | light | @{normal@} ]}
+
+@item gridlinestyle: @code{[ - | -- | -. | @{:@} | none ]}
+
+@item handlevisibility:  @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item integerhandle:
+
+@item interpreter: @code{[ latex | @{none@} | tex ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item layer: @code{[ @{bottom@} | top ]}
+
+@item linestyleorder:
+
+@item linewidth:
+
+@item minorgridlinestyle: @code{[ - | -- | -. | @{:@} | none ]}
+
+@item nextplot: @code{[ add | @{replace@} | replacechildren ]}
+
+@item outerposition:
 A vector specifying the position of the plot, including titles, axes and
 legend.  The four elements of the vector are the coordinates of the
 lower left corner and width and height of the plot, in units normalized
 to the width and height of the plot window.  For example, @code{[0.2,
 0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
 0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
-the @code{position} property.
-
-@item parent
-
-@item plotboxaspectratio
-
-@item plotboxaspectratiomode
-
-@item position
+the @code{"position"} property.
+
+@item parent:
+
+@item plotboxaspectratio: @code{[ @{auto@} | manual ]}
+
+@item plotboxaspectratiomode:
+
+@item position:
 A vector specifying the position of the plot, excluding titles, axes and
 legend.  The four elements of the vector are the coordinates of the
 lower left corner and width and height of the plot, in units normalized
 to the width and height of the plot window.  For example, @code{[0.2,
 0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
 0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
-the @code{outerposition} property.
-
-@item projection
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item tickdir
-
-@item tickdirmode
-
-@item ticklength
-
-@item tightinset
-
-@item title
+the @code{"outerposition"} property.
+
+@item projection: @code{[ @{orthographic@} | perspective ]}
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item tag:
+
+@item tickdir: @code{[ @{in@} | out ]}
+
+@item tickdirmode: @code{[ @{auto@} | manual ]}
+
+@item ticklength:
+
+@item title:
 Index of text object for the axes title.
 
-@item type
-
-@item uicontextmenu
-
-@item units
-
-@item userdata
-
-@item view
+@item type:
+
+@item uicontextmenu:
+
+@item units: @code{[ centimeters | characters | inches | @{normalized@} | pixels | points ]}
+
+@item userdata:
+
+@item view:
 A three element vector specifying the view point for three-dimensional plots.
 
-@item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the axes.
-
-@item x_normrendertransform
-
-@item x_projectiontransform
-
-@item x_rendertransform
-
-@item x_viewporttransform
-
-@item x_viewtransform
-
-@item xaxislocation
-Either @qcode{"top"} or @qcode{"bottom"}.
-
-@item xcolor
-
-@item xdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item xgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
-
-@item xlabel
+@item visible: @code{[ off | @{on@} ]}
+
+@item xaxislocation: @code{[ @{bottom@} | top | zero ]}
+
+@item xcolor:
+
+@item xdir: @code{[ @{normal@} | reverse ]}
+
+@item xgrid: @code{[ off | @{on@} ]}
+
+@item xlabel:
 Indices to text objects for the axes labels.
 
-@item xlim
+@item xlim:
 Two-element vector defining the limits for the x-axis.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item xlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item xminorgrid
+@item xlimmode: @code{[ @{auto@} | manual ]}
+
+@item xminorgrid: @code{[ off | @{on@} ]}
+
+@item xminortick: @code{[ off | @{on@} ]}
+
+@item xscale: @code{[ @{linear@} | log ]}
+
+@item xtick:
+Set position of tick marks.
+Setting this property also causes the corresponding mode
+property to be set to @qcode{"manual"}.
+
+@item xticklabel:
+Setting this property also causes the corresponding mode
+property to be set to @qcode{"manual"}.
+
+@item xticklabelmode: @code{[ @{auto@} | manual ]}
+
+@item xtickmode: @code{[ @{auto@} | manual ]}
+
+@item yaxislocation: @code{[ @{left@} | right | zero ]}
+
+@item ycolor:
+
+@item ydir: @code{[ @{normal@} | reverse ]}
+
+@item ygrid: @code{[ off | @{on@} ]}
+
+@item ylabel:
+Indices to text objects for the axes labels.
+
+@item ylim:
+Two-element vector defining the limits for the y-axis.
+Setting this property also causes the corresponding mode
+property to be set to @qcode{"manual"}.
+
+@item ylimmode: @code{[ @{auto@} | manual ]}
+
+@item yminorgrid:
+
 Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
 
-@item xminortick
-
-@item xscale
-Either @qcode{"linear"} or @qcode{"log"}.
-
-@item xtick
+@item yminortick: @code{[ off | @{on@} ]}
+
+@item yscale: @code{[ @{linear@} | log ]}
+
+@item ytick:
 Set position of tick marks.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item xticklabel
-Setting this property also forces the corresponding mode
+@item yticklabel:
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item xticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item xtickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item yaxislocation
-Either @qcode{"left"} or @qcode{"right"}
-
-@item ycolor
-
-@item ydir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item ygrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
-
-@item ylabel
+@item yticklabelmode: @code{[ @{auto@} | manual ]}
+
+@item ytickmode: @code{[ @{auto@} | manual ]}
+
+@item zcolor:
+
+@item zdir: @code{[ @{normal@} | reverse ]}
+
+@item zgrid: @code{[ off | @{on@} ]}
+
+@item zlabel:
 Indices to text objects for the axes labels.
 
-@item ylim
-Two-element vectors defining the limits for the x, y, and z axes and the
-Setting one of these properties also forces the corresponding mode
+@item zlim:
+Two-element vector defining the limits for the z-axis.
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item ylimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item yminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
-
-@item yminortick
-
-@item yscale
-Either @qcode{"linear"} or @qcode{"log"}.
-
-@item ytick
+@item zlimmode: @code{[ @{auto@} | manual ]}
+
+@item zminorgrid: @code{[ off | @{on@} ]}
+
+@item zminortick: @code{[ off | @{on@} ]}
+
+@item zscale: @code{[ @{linear@} | log ]}
+
+@item ztick:
 Set position of tick marks.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item yticklabel
-Setting this property also forces the corresponding mode
+@item zticklabel:
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item yticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item ytickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item zcolor
-
-@item zdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item zgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
-
-@item zlabel
-Indices to text objects for the axes labels.
-
-@item zlim
-Two-element vector defining the limits for z-axis.
-Setting this property also forces the corresponding mode
-property to be set to @qcode{"manual"}.
-
-@item zlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item zminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
-
-@item zminortick
-
-@item zscale
-Either @qcode{"linear"} or @qcode{"log"}.
-
-@item ztick
-Set position of tick marks.
-Setting this property also forces the corresponding mode
-property to be set to @qcode{"manual"}.
-
-@item zticklabel
-Setting this property also forces the corresponding mode
-property to be set to @qcode{"manual"}.
-
-@item zticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item ztickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+@item zticklabelmode: @code{[ @{auto@} | manual ]}
+
+@item ztickmode: @code{[ @{auto@} | manual ]}
 
 @end table
 
@@ -1972,109 +1905,81 @@
 The @code{line} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item children
-
-@item clipping
-
-@item color
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item color:
 The RGB color of the line, or a color name.  @xref{Colors}.
 
-@item createfcn
-
-@item deletefcn
-
-@item displayname
+@item createfcn:
+
+@item deletefcn:
+
+@item displayname:
 The text of the legend entry corresponding to this line.
 
-@item erasemode
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item ldata
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item ldata:
 The lower errorbar in the y direction to be plotted.
 
-@item  linestyle
-@itemx linewidth
+@item  linestyle:
+@itemx linewidth: @code{[ @{-@} | -- | -. | : | none ]}
 @xref{Line Styles}.
 
-@item linewidth
-
-@item marker
-
-@item markeredgecolor
-
-@item markerfacecolor
-
-@item markersize
+@item linewidth:
+
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@} | o | p | pentagram | s | square | v | x ]}
+
+@item markeredgecolor: @code{[ @{auto@} | none ]}
+@item markerfacecolor: @code{[ auto | @{none@} ]}
+@item markersize:
 @xref{Marker Styles}.
 
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item type
-
-@item udata
-The upper errorbar in the y direction to be plotted.
-
-@item uicontextmenu
-
-@item userdata
-
-@item visible
-
-@item xdata
+@item parent:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@} ]}
+
+@item xdata:
 The data to be plotted.
 
-@item xdatasource
-
-@item xldata
-The lower errorbar to be plotted.
-
-@item xlim
-
-@item xliminclude
-
-@item xudata
-The upper errorbar to be plotted.
-
-@item ydata
+@item xdatasource:
+
+@item ydata:
 The data to be plotted.
 
-@item ydatasource
-
-@item ylim
-
-@item yliminclude
-
-@item zdata
+@item ydatasource:
+
+@item zdata:
 The data to be plotted.
 
-@item zdatasource
-
-@item zlim
-
-@item zliminclude
+@item zdatasource:
+
 @end table
 
 @node Text Properties
@@ -2084,114 +1989,88 @@
 The @code{text} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item backgroundcolor
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item children
-
-@item clipping
-
-@item color
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item backgroundcolor: @code{[ @{none@} ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item color:
 The color of the text.  @xref{Colors}.
 
-@item createfcn
-
-@item deletefcn
-
-@item displayname
+@item createfcn:
+
+@item deletefcn:
+
+@item displayname:
 The text of the legend entry corresponding to this line.
 
-@item edgecolor
-
-@item editing
-
-@item erasemode
-
-@item fontangle
-Flag whether the font is italic or normal.  Valid values are @qcode{"normal"},
-@qcode{"italic"}, and @qcode{"oblique"}.
-
-@item fontname
+@item edgecolor: @code{[ @{none@} ]}
+
+@item editing: @code{[ off | @{on@} ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item fontangle: @code{[ italic | @{normal@} | oblique ]}
+
+@item fontname:
 The font used for the text.
 
-@item fontsize
+@item fontsize:
 The size of the font, in points to use.
 
-@item fontunits
-
-@item fontweight
-Flag whether the font is bold, etc.  Valid values are @qcode{"normal"},
-@qcode{"bold"}, @qcode{"demi"}, or @qcode{"light"}.
-
-@item handlevisibility
-
-@item hittest
-
-@item horizontalalignment
-May be @qcode{"left"}, @qcode{"center"}, or @qcode{"right"}.
-
-@item interpreter
-Determines how the text is rendered.  Valid values are @qcode{"none"},
-@qcode{"tex"}, or @qcode{"latex"}.
-
-@item interruptible
-
-@item linestyle
-
-@item linewidth
-
-@item margin
-
-@item parent
-
-@item position
+@item fontunits: @code{[ centimeters | inches | normalized | pixels | @{points@} ]}
+
+@item fontweight: @code{[ bold | demi | light | @{normal@} ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item horizontalalignment: @code{[ center | @{left@} | right ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
+
+@item linewidth:
+
+@item margin:
+
+@item parent:
+
+@item position:
 The coordinates of the text object.
 
-@item rotation
+@item rotation:
 The angle of rotation for the displayed text, measured in degrees.
 
-@item selected
-
-@item selectionhighlight
-
-@item string
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item string:
 The character string contained by the text object.
 
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item units
-May be @qcode{"normalized"} or @qcode{"graph"}.
-
-@item userdata
-
-@item verticalalignment
-
-@item visible
-
-@item xlim
-
-@item xliminclude
-
-@item ylim
-
-@item yliminclude
-
-@item zlim
-
-@item zliminclude
+@item tag:
+
+@item type:
+
+@item uicontextmenu:
+
+@item units: @code{[ centimeters | @{data@} | inches | normalized | pixels | points ]}
+
+@item userdata:
+
+@item verticalalignment: @code{[ baseline | bottom | cap | @{middle@} | top ]}
+
+@item visible: @code{[ off | @{on@} ]}
 
 @end table
 
@@ -2202,74 +2081,67 @@
 The @code{image} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cdata
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item alphadata:
+
+@item alphadatamapping: @code{[ direct | @{none@} | scaled ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cdata:
 The data for the image.  Each pixel of the image corresponds to an
 element of @code{cdata}.  The value of an element of @code{cdata}
 specifies the row-index into the colormap of the axes object containing
 the image.  The color value found in the color map for the given index
 determines the color of the pixel.
 
-@item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item handlevisibility
-
-@item hittest
-
-@item interruptible
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item visible
-
-@item xdata
+@item cdatamapping: @code{[ @{direct@} | scaled ]}
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item displayname:
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item tag:
+
+@item type:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@} ]}
+
+@item xdata:
 Two-element vector specifying the range of the x-coordinates for
 the image.
 
-@item xlim
-
-@item xliminclude
-
-@item ydata
+@item ydata:
 Two-element vector specifying the range of the y-coordinates for
 the image.
 
-@item ylim
-
-@item yliminclude
 @end table
 
 @node Patch Properties
@@ -2279,146 +2151,120 @@
 The @code{patch} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
-
-@item alphadatamapping
-
-@item ambientstrength
-
-@item backfacelighting
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cdata
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item alphamapping: @code{[ direct | none | @{scaled@} ]}
+
+@item ambientstrength:
+
+@item backfacelighting: @code{[ lit | @{reverselit@} | unlit ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cdata:
 Data defining the patch object.
 
-@item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item diffusestrength
-
-@item displayname
+@item cdatamapping: @code{[ direct | @{scaled@} ]}
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item diffusestrength:
+
+@item displayname:
 The text of the legend entry corresponding to this line.
 
-@item edgealpha
-
-@item edgecolor
+@item edgealpha:
+
+@item edgecolor:
 The color of the line defining the patch.  @xref{Colors}.
 
-@item edgelighting
-
-@item erasemode
-
-@item facealpha
-A number in the range [0, 1] indicating the transparency of the patch.
-
-@item facecolor
+@item edgelighting: @code{[ flat | gouraud | @{none@} | phong ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item facealpha:
+A number in the range @math{[0, 1]} indicating the transparency of the patch.
+
+@item facecolor:
 The fill color of the patch.  @xref{Colors}.
 
-@item facelighting
-
-@item faces
-
-@item facevertexalphadata
-
-@item facevertexcdata
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item linestyle
+@item facelighting: @code{[ flat | gouraud | @{none@} | phong ]}
+
+@item faces:
+
+@item facevertexalphadata:
+
+@item facevertexcdata:
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ callback | off | @{on@} ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
 @xref{Line Styles}.
 
-@item linewidth
+@item linewidth:
 @xref{Line Styles}.
 
-@item marker
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@} | o | p | pentagram | s | square | v | x ]}
 @xref{Marker Styles}.
 
-@item markeredgecolor
+@item markeredgecolor: @code{[ @{auto@} | flat | none ]}
 @xref{Marker Styles}.
 
-@item markerfacecolor
+@item markerfacecolor:
+@xref{Marker Styles}.: @code{[ @{auto@} | flat | none ]}
+
+@item markersize:
 @xref{Marker Styles}.
 
-@item markersize
-@xref{Marker Styles}.
-
-@item normalmode
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item specularcolorreflectance
-
-@item specularexponent
-
-@item specularstrength
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item vertexnormals
-
-@item vertices
-
-@item visible
-
-@item xdata
+@item normalmode: @code{[ @{auto@} | manual ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item specularcolorreflectance:
+
+@item specularexponent:
+
+@item specularstrength:
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item vertexnormals:
+
+@item vertices:
+
+@item visible: @code{[ off | @{on@} ]}
+
+@item xdata:
 Data defining the patch object.
 
-@item xlim
-
-@item xliminclude
-
-@item ydata
+@item ydata:
 Data defining the patch object.
 
-@item ylim
-
-@item yliminclude
-
-@item zdata
+@item zdata:
 Data defining the patch object.
 
-@item zlim
-
-@item zliminclude
-
 @end table
 
 @node Surface Properties
@@ -2428,142 +2274,117 @@
 The @code{surface} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
-
-@item alphadata
-
-@item alphadatamapping
-
-@item ambientstrength
-
-@item backfacelighting
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cdata
-
-@item cdatamapping
-
-@item cdatasource
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item diffusestrength
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item alphadata:
+
+@item alphadatamapping: @code{[ direct | none | @{scaled@} ]}
+
+@item ambientstrength:
+
+@item backfacelighting: @code{[ lit | @{reverselit@} | unlit ]}
+
+@item beingdeleted: @code{[ off | @{on@} ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cdata:
+
+@item cdatamapping: @code{[ direct | @{scaled@} ]}
+
+@item cdatasource:
+
+@item clipping: @code{[ off | @{on@} ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item diffusestrength:
 
 @item displayname
 The text of the legend entry corresponding to this surface.
 
-@item edgealpha
-
-@item edgecolor
-
-@item edgelighting
-
-@item erasemode
-
-@item facealpha
-
-@item facecolor
-
-@item facelighting
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item linestyle
-
-@item linewidth
-
-@item marker
-
-@item markeredgecolor
-
-@item markerfacecolor
-
-@item markersize
-
-@item meshstyle
-
-@item normalmode
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item specularcolorreflectance
-
-@item specularexponent
-
-@item specularstrength
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item vertexnormals
-
-@item visible
-
-@item xdata
+@item edgealpha:
+
+@item edgecolor:
+
+@item edgelighting: @code{[ flat | gouraud | @{none@} | phong ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item facealpha:
+
+@item facecolor: @code{[ @{flat@} | interp | none | texturemap ]}
+
+@item facelighting: @code{[ flat | gouraud | @{none@} | phong ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@} ]}
+
+@item hittest: @code{[ off | @{on@} ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@} ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
+
+@item linewidth:
+
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@} | o | p | pentagram | s | square | v | x ]}
+
+@item markeredgecolor: @code{[ @{auto@} | flat | none ]}
+
+@item markerfacecolor: @code{[ auto | flat | @{none@} ]}
+
+@item markersize:
+
+@item meshstyle: @code{[ @{both@} | column | row ]}
+
+@item normalmode: @code{[ @{auto@} | manual ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@} ]}
+
+@item selectionhighlight: @code{[ off | @{on@} ]}
+
+@item specularcolorreflectance:
+
+@item specularexponent:
+
+@item specularstrength:
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item vertexnormals:
+
+@item visible: @code{[ off | @{on@} ]}
+
+@item xdata:
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
-@item xdatasource
-
-@item xlim
-
-@item xliminclude
-
-@item ydata
+@item xdatasource:
+
+@item ydata:
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
-@item ydatasource
-
-@item ylim
-
-@item yliminclude
-
-@item zdata
+@item ydatasource:
+
+@item zdata:
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
-@item zdatasource
-
-@item zlim
-
-@item zliminclude
+@item zdatasource:
+
 @end table
 
 @node Searching Properties
@@ -3225,7 +3046,7 @@
 @cindex series objects
 @cindex line series
 
-Line series objects are created by the @code{plot}  and @code{plot3}
+Line series objects are created by the @code{plot} and @code{plot3}
 functions and are of the type @code{line}.  The properties of the
 line series with the ability to add data sources.
 
